## otrplayer 0.11

=== Makefile ===
BIN_DIR=debian/otrplayer/usr/bin
INSTALLLOC=debian/otrplayer

all: 

clean: 
install: 
	install -d $(BIN_DIR)
	install -m 755 src/app/otrplayer $(BIN_DIR)
	install -d $(BIN_DIR)/../lib
	install -m 644 libs/libaflib.so.1 $(BIN_DIR)/../lib
	install -d $(BIN_DIR)/../lib/aflib
	install -m 644 libs/libaflibDevFile.so $(BIN_DIR)/../lib/aflib
	install -m 644 libs/libaflibMadFile.so $(BIN_DIR)/../lib/aflib
	install -d $(INSTALLLOC)/usr/share/applications/hildon
	install -m 644 otrplayer.desktop $(INSTALLLOC)/usr/share/applications/hildon/otrplayer.desktop
