=== src/lib/Makefile ===
#############################################################################
# Makefile for building: lib
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:57 2009
# Project:  lib.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile lib.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-aflib \
		sub-dev \
		sub-mad \
		sub-ogg \
		sub-wav

aflib//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) aflib/ || $(MKDIR) aflib/ 
	cd aflib/ && $(QMAKE) aflib.pro -unix -o $(MAKEFILE)
sub-aflib-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) aflib/ || $(MKDIR) aflib/ 
	cd aflib/ && $(QMAKE) aflib.pro -unix -o $(MAKEFILE)
sub-aflib: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE)
sub-aflib-make_default: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) 
sub-aflib-make_first: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) first
sub-aflib-all: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) all
sub-aflib-clean: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) clean
sub-aflib-distclean: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-aflib-install_subtargets: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) install
sub-aflib-uninstall_subtargets: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) uninstall
dev//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) dev/ || $(MKDIR) dev/ 
	cd dev/ && $(QMAKE) dev.pro -unix -o $(MAKEFILE)
sub-dev-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) dev/ || $(MKDIR) dev/ 
	cd dev/ && $(QMAKE) dev.pro -unix -o $(MAKEFILE)
sub-dev: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE)
sub-dev-make_default: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) 
sub-dev-make_first: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) first
sub-dev-all: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) all
sub-dev-clean: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) clean
sub-dev-distclean: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) distclean
sub-dev-install_subtargets: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) install
sub-dev-uninstall_subtargets: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) uninstall
mad//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) mad/ || $(MKDIR) mad/ 
	cd mad/ && $(QMAKE) mad.pro -unix -o $(MAKEFILE)
sub-mad-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) mad/ || $(MKDIR) mad/ 
	cd mad/ && $(QMAKE) mad.pro -unix -o $(MAKEFILE)
sub-mad: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE)
sub-mad-make_default: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) 
sub-mad-make_first: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) first
sub-mad-all: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) all
sub-mad-clean: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) clean
sub-mad-distclean: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) distclean
sub-mad-install_subtargets: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) install
sub-mad-uninstall_subtargets: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) uninstall
ogg//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ogg/ || $(MKDIR) ogg/ 
	cd ogg/ && $(QMAKE) ogg.pro -unix -o $(MAKEFILE)
sub-ogg-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ogg/ || $(MKDIR) ogg/ 
	cd ogg/ && $(QMAKE) ogg.pro -unix -o $(MAKEFILE)
sub-ogg: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE)
sub-ogg-make_default: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) 
sub-ogg-make_first: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) first
sub-ogg-all: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) all
sub-ogg-clean: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) clean
sub-ogg-distclean: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) distclean
sub-ogg-install_subtargets: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) install
sub-ogg-uninstall_subtargets: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) uninstall
wav//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) wav/ || $(MKDIR) wav/ 
	cd wav/ && $(QMAKE) wav.pro -unix -o $(MAKEFILE)
sub-wav-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) wav/ || $(MKDIR) wav/ 
	cd wav/ && $(QMAKE) wav.pro -unix -o $(MAKEFILE)
sub-wav: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE)
sub-wav-make_default: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) 
sub-wav-make_first: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) first
sub-wav-all: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) all
sub-wav-clean: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) clean
sub-wav-distclean: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) distclean
sub-wav-install_subtargets: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) install
sub-wav-uninstall_subtargets: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: lib.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile lib.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile lib.pro

qmake_all: sub-aflib-qmake_all sub-dev-qmake_all sub-mad-qmake_all sub-ogg-qmake_all sub-wav-qmake_all FORCE

make_default: sub-aflib-make_default sub-dev-make_default sub-mad-make_default sub-ogg-make_default sub-wav-make_default FORCE
make_first: sub-aflib-make_first sub-dev-make_first sub-mad-make_first sub-ogg-make_first sub-wav-make_first FORCE
all: sub-aflib-all sub-dev-all sub-mad-all sub-ogg-all sub-wav-all FORCE
clean: sub-aflib-clean sub-dev-clean sub-mad-clean sub-ogg-clean sub-wav-clean FORCE
distclean: sub-aflib-distclean sub-dev-distclean sub-mad-distclean sub-ogg-distclean sub-wav-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-aflib-install_subtargets sub-dev-install_subtargets sub-mad-install_subtargets sub-ogg-install_subtargets sub-wav-install_subtargets FORCE
uninstall_subtargets: sub-aflib-uninstall_subtargets sub-dev-uninstall_subtargets sub-mad-uninstall_subtargets sub-ogg-uninstall_subtargets sub-wav-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
