=== debian/changelog ===
otrplayer (0.11) unstable; urgency=low

  * Added madplay as a dependancy

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 25 Mar 2009 17:38:49 -0800
