=== debian/control ===
Source: otrplayer
Section: user/multimedia
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libgtk2.0-dev, libosso-dev
Standards-Version: 3.7.2

Package: otrplayer
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager, madplay
Description: An audio player for listening to Old Time Radio.
