## otrplayer 0.30

=== debian/changelog ===
otrplayer (0.30) unstable; urgency=low

  * More various fixes

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 26 Apr 2009 17:38:49 -0800

otrplayer (0.2) unstable; urgency=low

  * Made various fixes

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 28 Mar 2009 17:38:49 -0800
