## otrplayer 0.40

=== src/app/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: otrplayer
-# Generated by qmake (2.01a) (Qt 4.5.0) on: Sun Mar 22 20:31:41 2009
+# Generated by qmake (2.01a) (Qt 4.5.0) on: Sat Apr 4 23:13:33 2009
 # Project:  app.pro
 # Template: app
 # Command: /usr/bin/qmake-qt4 -unix -o Makefile app.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DMAEMO -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -D_REENTRANT -Wall -W $(DEFINES)
 CXXFLAGS      = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/Qt3Support -I/targets/DIABLO_ARMEL/usr/include/qt4 -I../lib -I. -I.
@@ -46,12 +46,14 @@
 		otrplayer.cc \
 		otrplayerfile.cc \
 		id3tag.cc \
-		otrplayerbase.cpp moc_otrplayerbase.cpp
+		otrplayerbase.cpp \
+		MyQ3ListViewItem.cc moc_otrplayerbase.cpp
 OBJECTS       = main.o \
 		otrplayer.o \
 		otrplayerfile.o \
 		id3tag.o \
 		otrplayerbase.o \
+		MyQ3ListViewItem.o \
 		moc_otrplayerbase.o
 DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
@@ -154,7 +156,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/otrplayer1.0.0 || $(MKDIR) .tmp/otrplayer1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents otrplayer.h otrplayerfile.h id3tag.h otrplayerbase.h .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents main.cc otrplayer.cc otrplayerfile.cc id3tag.cc otrplayerbase.cpp .tmp/otrplayer1.0.0/ && (cd `dirname .tmp/otrplayer1.0.0` && $(TAR) otrplayer1.0.0.tar otrplayer1.0.0 && $(COMPRESS) otrplayer1.0.0.tar) && $(MOVE) `dirname .tmp/otrplayer1.0.0`/otrplayer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/otrplayer1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents otrplayer.h otrplayerfile.h id3tag.h otrplayerbase.h MyQ3ListViewItem.h .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents main.cc otrplayer.cc otrplayerfile.cc id3tag.cc otrplayerbase.cpp MyQ3ListViewItem.cc .tmp/otrplayer1.0.0/ && (cd `dirname .tmp/otrplayer1.0.0` && $(TAR) otrplayer1.0.0.tar otrplayer1.0.0 && $(COMPRESS) otrplayer1.0.0.tar) && $(MOVE) `dirname .tmp/otrplayer1.0.0`/otrplayer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/otrplayer1.0.0
 
 
 clean:compiler_clean 
@@ -177,7 +179,7 @@
 compiler_moc_header_clean:
 	-$(DEL_FILE) moc_otrplayerbase.cpp
 moc_otrplayerbase.cpp: otrplayerbase.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) otrplayerbase.h -o moc_otrplayerbase.cpp
+	/usr/bin/moc $(DEFINES) $(INCPATH) otrplayerbase.h -o moc_otrplayerbase.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
@@ -206,6 +208,7 @@
 		otrplayerbase.h \
 		otrplayerfile.h \
 		id3tag.h \
+		MyQ3ListViewItem.h \
 		../lib/aflib/aflibConfig.h \
 		../lib/aflib/aflib.h \
 		../lib/aflib/aflibFile.h \
@@ -227,6 +230,9 @@
 otrplayerbase.o: otrplayerbase.cpp otrplayerbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o otrplayerbase.o otrplayerbase.cpp
 
+MyQ3ListViewItem.o: MyQ3ListViewItem.cc MyQ3ListViewItem.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o MyQ3ListViewItem.o MyQ3ListViewItem.cc
+
 moc_otrplayerbase.o: moc_otrplayerbase.cpp 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_otrplayerbase.o moc_otrplayerbase.cpp
 
@@ -262,9 +268,5 @@
 	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
 
 
-install:  install_target install_data_service install_data_desktop  FORCE
-
-uninstall: uninstall_target uninstall_data_service uninstall_data_desktop   FORCE
-
-FORCE:
-
+install_data_icons_26: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/
