=== debian/changelog ===
otrplayer (0.40) stable; urgency=low

  * More various fixes

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 03 May 2009 17:38:49 -0800
