## otrplayer 0.41

=== debian/changelog ===
otrplayer (0.41) stable; urgency=low

  * Speed improvements for startup of player

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 06 Jun 2009 17:38:49 -0800
