=== debian/control ===
Source: otrplayer
Section: user/multimedia
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libosso-dev, libvorbisidec-dev
Standards-Version: 3.7.2

Package: otrplayer
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager, madplay
Description: An audio player for listening to Old Time Radio.
 This audio player features the ability to remember its last played
 location. This is necessary for those who listen to old time radio
 or to audio books. It also has a pitch control. Currently supported
 formats are MP3, OGG, and WAV.
 .
 If you are new to Old Time Radio then check out the web site
 archive.org and look for the audio section and search for OTR.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QMcEh8BAXU8
 pgAABiFJREFUSMetlmuMVdUVx/9rP+45586de+fBOAM4UwbEQkGKjxIbimIJ
 wSZVgUhiBWKl1fJlaIK2SaGtTVrTxFSTmgZtfVESClqjYgcJaE1rIIM0WAaR
 AWZ4OMzcmbl37mPu49zz3Lsf7p0pbUxqO10fTvZJ9jm/vbL//7UW8G/x+t6X
 aM2yeetXLG7bvX7F3Ofe27XpJvy/46ePb+XLF83c85V5cX37DQm9bF5cr1vR
 bvccePTu6f6bXfvy/uHuneVyabPWAGOA4ITh5IT1+5c/2Fvp+XHbdEB8cnHv
 ypvnplOj+7TWghHAGUFwggYwNFq0DBEabx+9fGjaGWXSo49prU2tgVABgdIg
 AhgBgEZP79WHzr3zRGxaoB1dm6NQ/oOCE0CAhkaoNMJQgxEhVMDZi+n4pfNn
 1kwLdLHvo7tMSQ1RU8CQHIIxMCL4oQYAaA0UbR8fnR3++v8KEgAgKVjVFDfg
 BwoV14frhgiVAtU2GZJQchXGMqXbpiWGO77c9pO4xTsSMYl4VMIQBEJVEIZk
 sCIckjPEoqJ11S3tsxZ8cf6pU+cGi/8NiFLDA7Rrx4bxOgNNVoSDtEa+5GIs
 W0E6X0G54kMpDQIQq49iw50dGB6v2Fcz/h/ynvXbO+/77smN335E/0fQn17c
 2XDl1JFMa6PFGusjsCSD7fjIFl2kchWMZSvIFhzkSx40MWxePRczEibyJQ9l
 J8RI3j+TzPp7skFi7659f04S0WeDXntq4w2qMNh/fUsd6qMClmRTd+MHIcpO
 gELZR6bg4IPTKSztTGDerHpIwdDSZEFwjnzJQ99gwb885nR/msWzK9c++tdN
 W7bqf83omW8tNcPxvzfHDRiSwZQEwajqHw1M7tYa2H14AL7joc7kiEiO6xot
 zGgwkaiLQHCGshPg0kgJZ6/ax4YK4rFX3+39cEp1MYszM5QQvCppQg0CADUY
 ABABFTfASLqMIFBVJXEGKRkMwRGRDGaEwzI4mixa7rnFY/d8tfOp2Qtuf+L5
 V/b5oi5qOtxh4JwAqpYcP8Q1sCqYiJDKO7iatuEFGkprBKGGrmVNVa+DiCbV
 yhti8keFT/82O5VKPSRiieac56U0Z4yoVhWUBhQAxhgigiEiOQq2h/Gcg5IT
 1iCAHyoEChrES8TYmNZIa1ABQKBU2JkueF9a2CE2P3z/6mfEdQtWjY/mLjic
 k8WIwKgK4pwhZknEG0xwQ+DoXy5hwvaRtXU+BD+iSByVRrS3Y87cC2vXrhvv
 2rYtuFZx27dvZ8fe2fv6yqVt647327cSAJzds+FjU6jFUjAIRiBGkJIjakr0
 jxTx0tvn8cmFMYTc+nXjnFt3vPHmW/bnMek9y+c/8MP75+x77uDwRgEAjNgJ
 Rmqx5NULNSIcGoQP+9J4ev8ZnOwbw6Lr61Df0LK7a8smb9t3NkkCoEBwlWDQ
 ChF48FyXlAqJiNAyq73y/K9+kB1K27oYRk+Kqnwi7ynlb6FaHyIAl5ITOHJ8
 EIPJPG6caYGLyPkG3777dz/7/gkiRl7zzSggjpLtUsUuQvs2jHCC2kSOTPJ1
 XTyxc+uDC1t6+8cPvbj/4HkBACLefrCS7isxFsRcL0BmwsHpgQyGRibQGheI
 GRw5X75AobdIkpaaMYimTsTJhKuGkUz3Y0nnbNw2fyEodNCELB3+ePjJ7uOj
 A0MT4muPtLZOFQEc/c3aZxFWulwvxEjGxrnLWVxOFuB6AZyAkvXtSxYkcle6
 KfTvICJoMARWKwKjEb7iCHwH5OaQQB5WRCDpSQi/4nW0Nt/7yzePHxaTIF82
 /SI9dnFDsey0jWTKSOUrCEIFpaGKKtrV/da7xW3fXDbTFAyMEYio5udcrZdo
 6DoBjWZopTDbUAgCFsnb7s8B/BN01/deTr2y8xvrR3MTB1LZSkvJ9lF2wiDj
 mY/v737/jS/M6UTvwNAVpoP5jAicsZpJq06dWtfMqzWgtAYzon+canyT8fCT
 h3qe3n7fInd84IGCHzSkw/oDPaf7TjNWHS1u6pzZEo1MzjOf0Rn05ENDKY0w
 VPAUlkxWs88dq2+5cU3o+zN07UsCqdrhq3MBkarV31o1Iy0jxpVDJz45+Q/B
 Icfglf1k+AAAAABJRU5ErkJggg==
 ====
