## otrplayer 0.42

=== debian/changelog ===
otrplayer (0.42) stable; urgency=low

  * Fixed bug in speed inprovements

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 07 Jun 2009 17:38:49 -0800
