## otrplayer 0.50

=== debian/changelog ===
otrplayer (0.50) stable; urgency=low

  * Small enhancements. Fixed bug forward and reverse times first time used. 
  * Sped up load time of mp3 files. Changed font for list display. Cleaned
  * up configuration tab. Enabled full screen mode for Player tab. Fix
  * time slider.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 16 Jan 2010 17:38:49 -0800
