## otrplayer 0.52

=== debian/changelog ===
otrplayer (0.52) stable; urgency=low

  * Fix the Qt version used.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 24 Jan 2010 17:38:49 -0800
