=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libosso-dev, libvorbisidec-dev, libmad0-dev
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.2), libesd0-dev, libosso-dev, libvorbisidec-dev, libmad0-dev
 Standards-Version: 3.7.2
 
 Package: otrplayer
